# Uses of Class
it.tdlight.jni.TdApi.BusinessAwayMessageSettings

## Uses of TdApi.BusinessAwayMessageSettings in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.BusinessAwayMessageSettings
Modifier and Type
Field
Description
`TdApi.BusinessAwayMessageSettings`
TdApi.BusinessInfo.`awayMessageSettings`
The away message; may be null if none or the Business account is not of the current user.
`TdApi.BusinessAwayMessageSettings`
TdApi.SetBusinessAwayMessageSettings.`awayMessageSettings`
The new settings for the away message of the business; pass null to disable the away message.
Constructors in it.tdlight.jni with parameters of type TdApi.BusinessAwayMessageSettings
Modifier
Constructor
Description
``
`BusinessInfo(TdApi.BusinessLocation location, TdApi.BusinessOpeningHours openingHours, TdApi.BusinessGreetingMessageSettings greetingMessageSettings, TdApi.BusinessAwayMessageSettings awayMessageSettings)`
Contains information about a Telegram Business account.
``
`SetBusinessAwayMessageSettings(TdApi.BusinessAwayMessageSettings awayMessageSettings)`
Changes the business away message settings of the current user.